Multivariate Pattern Analysis in Python

# mvpa2.atlases.base

Base classes for Anatomy atlases support

## TODOs:

> - major optimization. Now code is sloppy and slow – plenty of checks etc

## Module Organization

mvpa2.atlases.base module contains support for various atlases

group Base: | BaseAtlas XMLBasedAtlas Label Level LabelsLevel
group Talairach:
| PyMVPAAtlas LabelsAtlas ReferencesAtlas
group Exceptions:
| XMLAtlasException

Functions

`check_range`(coord, range) | Check if coordinates are within range (0,0,0) - (range)

Classes

`BaseAtlas` | Base class for the atlases.
`Label`(text[, abbr, coord, count, index]) | Represents a label.
`LabelsAtlas`(*args, **kwargs) | Atlas which provides labels for the given coordinate
`LabelsLevel`(description[, index, labels]) | Level of labels.
`Level`(description) | Represents a level.
`PyMVPAAtlas`(*args, **kwargs) | Base class for PyMVPA atlases, such as LabelsAtlas and ReferenceAtlas
`ReferencesAtlas`([distance, reference_level]) | Atlas which provides references to the other atlases.
`ReferencesLevel`(description[, indexes]) | Level which carries reference points
`XMLBasedAtlas`([filename, resolution, …]) | Base class for atlases using XML as the definition backend

Exceptions

`BaseAtlas` | Base class for the atlases.
`Label`(text[, abbr, coord, count, index]) | Represents a label.
`LabelsAtlas`(*args, **kwargs) | Atlas which provides labels for the given coordinate
`LabelsLevel`(description[, index, labels]) | Level of labels.
`Level`(description) | Represents a level.
`PyMVPAAtlas`(*args, **kwargs) | Base class for PyMVPA atlases, such as LabelsAtlas and ReferenceAtlas
`ReferencesAtlas`([distance, reference_level]) | Atlas which provides references to the other atlases.
`ReferencesLevel`(description[, indexes]) | Level which carries reference points
`XMLBasedAtlas`([filename, resolution, …]) | Base class for atlases using XML as the definition backend